#
# spec file for package ghc-GLURaw
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name GLURaw
Name:           ghc-GLURaw
Version:        2.0.0.2
Release:        1.3
Summary:        A raw binding for the OpenGL graphics system
License:        BSD-3-Clause
Group:          System/Libraries
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
# Begin cabal-rpm deps:
BuildRequires:  ghc-OpenGLRaw-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-transformers-devel
BuildRequires:  pkgconfig(glu)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
# End cabal-rpm deps

%description
GLURaw is a raw Haskell binding for the GLU 1.3 OpenGL utility library.
It is basically a 1:1 mapping of GLU's C API, intended as a basis for a nicer
interface.

OpenGL is the industry's most widely used and supported 2D and 3D graphics
application programming interface (API), incorporating a broad set of
rendering, texture mapping, special effects, and other powerful visualization
functions. For more information about OpenGL and its various extensions, please
see <http://www.opengl.org/> and <http://www.opengl.org/registry/>.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
# Begin cabal-rpm deps:
Requires:       pkgconfig(glu)
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
# End cabal-rpm deps

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%{ghc_lib_build}

%install
%{ghc_lib_install}

%post devel
%{ghc_pkg_recache}

%postun devel
%{ghc_pkg_recache}

%files -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE
%doc CHANGELOG.md

%files devel -f %{name}-devel.files
%defattr(-,root,root,-)
%doc README.md

%changelog
* Thu May 12 2016 mimi.vx@gmail.com
- update to 2.0.0.2
  * Relaxed upper version bound for OpenGLRaw.
  * Silence warnings about pattern synonyms with no type signatures.
* Mon Jan 11 2016 mimi.vx@gmail.com
- update to 2.0.0.1
  * Relaxed upper version bound for OpenGLRaw
* Mon Jan  4 2016 mimi.vx@gmail.com
- update to 2.0.0.0
  * Use pattern synonyms.
  * Changed module name prefix from Graphics.Rendering.GLU.Raw to Graphics.GLU.
* Thu Dec 24 2015 mimi.vx@gmail.com
- update to 1.5.0.3
  * Relaxed upper version bound for transformers.
* Sat Nov 14 2015 peter.trommler@ohm-hochschule.de
- update to 1.5.0.2
  * new file CHANGELOG.md
  * bounds for OpenGLRaw
* Tue May  5 2015 mimi.vx@gmail.com
- update to 1.5.0.1
  * no upstream changelog
* Tue Apr 14 2015 mimi.vx@gmail.com
- update to 1.5.0.0
  * no changelog
* Tue Sep  9 2014 peter.trommler@ohm-hochschule.de
- update to 1.4.0.1
  * no changelog
  * for Haskell Platform 2014.2.0.0
* Fri Aug 22 2014 peter.trommler@ohm-hochschule.de
- enable PowerPC builds
* Mon May  6 2013 peter.trommler@ohm-hochschule.de
- more transparent packaging (fewer macros)
* Fri Mar 22 2013 peter.trommler@ohm-hochschule.de
- expanded macro in name tag
* Thu Jan  3 2013 peter.trommler@ohm-hochschule.de
- update to 1.3.0.0 from upstream
- no changelog
* Fri Sep 28 2012 peter.trommler@ohm-hochschule.de
- dropped rpmlintrc (warnings fixed in ghc-rpm-macros)
* Fri Sep 28 2012 peter.trommler@ohm-hochschule.de
- Adapted to new package for libGLU in Factory
* Sat May  5 2012 peter.trommler@ohm-hochschule.de
- spec file template generated by cabal2spec-0.25.5
- added copyright notice
* Mon Mar  5 2012 peter.trommler@ohm-hochschule.de
- BuildRoot tag (SLE_11) and SPDX license tag
- Update to 1.2.0.0 from upstream
* Sat Dec 31 2011 peter.trommler@ohm-hochschule.de
- Added Mesa-devel requires
* Sat Dec 31 2011 peter.trommler@ohm-hochschule.de
- Initial packaging.
